<!DOCTYPE html>
<html lang="en-US" style="background: #222">

<head>
    <meta charset="utf-8">
    <title>The VectorLab</title>
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css">
    <script src="js/vec2.js"></script>
    <script src="js/node.js"></script>
    <script src="js/nodechain.js"></script>
    <script src="js/mouse.js"></script>
    <script src="js/keyboard.js"></script>
    <script src="js/camera.js"></script>
    <script src="js/viewport.js"></script>
    <script>
        var ctx;
        var brushSize = 64;
        const nodeChains = [];
        var cam = new Camera();
    </script>
</head>
<body
        onload="initCanvas()"
        onresize="updateCanvasSize()"
        onkeydown="handleKeyDown(event)"
        onkeyup="handleKeyUp(event)"
        onfocus="modifiers=0"
        oncontextmenu="return false"
>
    <canvas id="canvas" width="0" height="0"
        onmousemove="handleMouseMove(event)"
        onmouseover="handleMouseMove(event)"
        onmouseleave="handleMouseLeaveCanvas(event)"
        onwheel="handleMouseWheel(event)"
        onpointerdown="updateButtons(event)"
        onpointerup="updateButtons(event)"
    >
        VectorLab viewport
    </canvas>
<footer onpointerdown="return false">Test</footer>
</body>

</html>
